<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
</head>

<body>
  <h4>Broadcast</h4>
  <div id="log"></div>

  <script src="https://unpkg.com/peerjs@1.0.0/dist/peerjs.min.js"></script>
  <script type="text/javascript">
    var localStream;
    // get user media workaround for different browsers
		var getUserMedia = (function () {
			if (navigator.getUserMedia) {
				return navigator.getUserMedia.bind(navigator)
			}
			if (navigator.webkitGetUserMedia) {
				return navigator.webkitGetUserMedia.bind(navigator)
			}
			if (navigator.mozGetUserMedia) {
				return navigator.mozGetUserMedia.bind(navigator)
			}
		})();

    function onNewReceiver(receiverId) {
      var peer = new Peer();
      document.getElementById("log").innerHTML = 'calling ' + receiverId;
      var call = peer.call(receiverId, localStream);
    }

    function init(){
      const ownId = 'broadcaster097SALAMI2';
      var broadcaster = new Peer(ownId);
      document.getElementById("log").innerHTML = ownId;
      //console.log(broadcaster)
      broadcaster.on('open', (id) => {
        //console.log('open')
      });
      broadcaster.on('connection', (conn) => {
        conn.on('open', function() {
          conn.on('data', function(data) {
            // console.log('Received', data);
            onNewReceiver(data);
          });
          conn.send('CLOSE');
          document.getElementById("log").innerHTML = 'connection closed';
        });
      });
      getUserMedia({
        video: false,
        audio: true
      }, function (stream) {
        document.getElementById("log").innerHTML = 'got local stream, ready';
        localStream = stream;
      }, function (err) {
        console.log('Failed to get local stream', err);
        document.getElementById("log").innerHTML = 'Failed to get local stream';
      });
    }

    init();
  </script>
</body>
</html>
